%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		maeparser
Version:	1.3.1
Release:	%mkrel 6
Summary:	Maestro file parser
License:	MIT
Group:		System/Libraries
URL:		https://github.com/schrodinger/maeparser
Source0:	https://github.com/schrodinger/maeparser/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		maeparser-fix-cmake-install-dir.patch

BuildRequires:	cmake
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(zlib)

%description
maeparser is a parser for Schrodinger Maestro files.

#------------------------------------------------

%package -n	%{libname}
Summary:	Maestro file parser
Group:		System/Libraries

%description -n	%{libname}
maeparser is a parser for Schrodinger Maestro files.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc README.md
%license LICENSE.txt
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/


%changelog
* Sun Feb 09 2025 wally <wally> 1.3.1-6.mga10
+ Revision: 2146250
- rebuild for boost 1.87.0

* Fri Sep 13 2024 wally <wally> 1.3.1-5.mga10
+ Revision: 2095495
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 1.3.1-4.mga10
+ Revision: 2075368
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 1.3.1-3.mga10
+ Revision: 2030568
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 1.3.1-2.mga10
+ Revision: 1991471
- rebuild for boost 1.83.0

* Thu Feb 02 2023 daviddavid <daviddavid> 1.3.1-1.mga9
+ Revision: 1937636
- new version: 1.3.1

* Sat Dec 24 2022 wally <wally> 1.3.0-3.mga9
+ Revision: 1926505
- rebuild for boost 1.81.0

* Tue Sep 13 2022 wally <wally> 1.3.0-2.mga9
+ Revision: 1887582
- restore cmake config install location patch mistakenly removed in r1887573

* Tue Sep 13 2022 neoclust <neoclust> 1.3.0-1.mga9
+ Revision: 1887573
- New version 	1.3.0

* Sun Jul 03 2022 wally <wally> 1.2.4-6.mga9
+ Revision: 1867285
- rebuild for boost 1.79.0

* Fri Mar 18 2022 umeabot <umeabot> 1.2.4-5.mga9
+ Revision: 1798810
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 1.2.4-4.mga9
+ Revision: 1762624
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1.2.4-3.mga9
+ Revision: 1744704
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1.2.4-2.mga9
+ Revision: 1722990
- rebuild for boost 1.76.0

* Sun Apr 25 2021 daviddavid <daviddavid> 1.2.4-1.mga9
+ Revision: 1719748
- initial package maeparser (needed for openbabel3)

